org.apache.hc.core5.benchmark

## Class Stats

- java.lang.Object
- - org.apache.hc.core5.benchmark.Stats

-     public class Stats
      extends Object

  Statistics for an `HttpBenchmark`.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Stats()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getContentLength()`
    `int` | `getFailureCount()`
    `int` | `getKeepAliveCount()`
    `String` | `getServerName()`
    `int` | `getSuccessCount()`
    `long` | `getTotalBytesRecv()`
    `long` | `getTotalBytesSent()`
    `long` | `getTotalContentLength()`
    `ProtocolVersion` | `getVersion()`
    `void` | `incFailureCount()`
    `void` | `incKeepAliveCount()`
    `void` | `incSuccessCount()`
    `void` | `incTotalBytesRecv(int n)`
    `void` | `incTotalBytesSent(int n)`
    `void` | `incTotalContentLength(long n)`
    `void` | `setContentLength(long n)`
    `void` | `setServerName(String serverName)`
    `void` | `setVersion(ProtocolVersion version)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Stats

          public Stats()

  - ### Method Detail

    - #### incSuccessCount

          public void incSuccessCount()

    - #### getSuccessCount

          public int getSuccessCount()

    - #### incFailureCount

          public void incFailureCount()

    - #### getFailureCount

          public int getFailureCount()

    - #### incKeepAliveCount

          public void incKeepAliveCount()

    - #### getKeepAliveCount

          public int getKeepAliveCount()

    - #### incTotalBytesRecv

          public void incTotalBytesRecv(int n)

    - #### getTotalBytesRecv

          public long getTotalBytesRecv()

    - #### incTotalBytesSent

          public void incTotalBytesSent(int n)

    - #### getTotalBytesSent

          public long getTotalBytesSent()

    - #### setContentLength

          public void setContentLength(long n)

    - #### incTotalContentLength

          public void incTotalContentLength(long n)

    - #### getContentLength

          public long getContentLength()

    - #### getTotalContentLength

          public long getTotalContentLength()

    - #### setServerName

          public void setServerName(String serverName)

    - #### getServerName

          public String getServerName()

    - #### getVersion

          public ProtocolVersion getVersion()

    - #### setVersion

          public void setVersion(ProtocolVersion version)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.